Imports EgtWPFLib5
Imports EgtBEAMWALL.Core

Class MainWindowV

   Private m_MainWindowVM As MainWindowVM

#Region "CONSTRUCTOR"

   Sub New()
      ' Funzione che interpreta l'xaml
      InitializeComponent()
      ' Assegno al riferimento locale al VM il VM preso dal DataContext
      m_MainWindowVM = DirectCast(Me.DataContext, MainWindowVM)
      AddHandler Me.Loaded, AddressOf MainWindowV_Loaded
      AddHandler Me.ContentRendered, AddressOf MainWindowV_ContentRendered
      AddHandler Me.Closing, AddressOf MainWindowV_Closing
      AddHandler Me.KeyDown, AddressOf MainWindowV_KeyDown
   End Sub

#End Region    ' CONSTRUCTOR

#Region "EVENTS"

   Private Sub MainWindowV_Loaded(sender As Object, e As RoutedEventArgs)
      ' Carico e imposto posizione finestra
      WinPosFromIniToWindow(S_GENERAL, K_SUPERVISORWINPLACE, Me)
   End Sub

   Private Sub MainWindowV_ContentRendered(sender As Object, e As EventArgs)
      m_MainWindowVM.ContentRendered()
   End Sub

   Private Sub MainWindowV_Closing(sender As Object, e As System.ComponentModel.CancelEventArgs)
      ' Salvo posizione finestra (se non minimizzata)
      If WindowState <> WindowState.Minimized Then
         WinPosFromWindowToIni(Me, S_GENERAL, K_SUPERVISORWINPLACE)
      End If
   End Sub

   Private Sub MainWindowV_KeyDown(sender As Object, e As KeyEventArgs)
      m_MainWindowVM.KeyDown(e.Key)
   End Sub

#End Region    ' EVENTS

End Class
